X2Go Bug report logs - #808
x2goclient freeze after several seconds

version graph

Package: x2goserver-xsession; Maintainer for x2goserver-xsession is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver-xsession is src:x2goserver.

Reported by: Jozsef Kozo <kojraai@gmail.com>

Date: Mon, 9 Mar 2015 10:30:02 UTC

Severity: normal

Tags: pending

Merged with 632, 788

Found in version 4.0.1.18

Fixed in version 4.0.1.19

Done: Mihai Moldovan <ionic@ionic.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#808; Package x2goclient. (Mon, 09 Mar 2015 10:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jozsef Kozo <kojraai@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>.

Your message had a Version: pseudo-header with an invalid package version:

4.0.3.1 ( Qt- 4.8.6)

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Mon, 09 Mar 2015 10:30:02 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Jozsef Kozo <kojraai@gmail.com>
To: submit@bugs.x2go.org
Subject: x2goclient freeze after several seconds
Date: Mon, 9 Mar 2015 11:28:22 +0100
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.3.1 ( Qt- 4.8.6)

Client OS: Windows 8.1 Enterprise x64
Server OS: CentOS 6.5

Hi all,

I can connect from a client to my server.
I am able to connect but several seconds ~30 my session freeze and x2go ask
me for terminate my session.
Tried with several versions of client, with same issue. Also tried disable
audio, file sharing,clipboard,keyboard settings, and run with administrator
privileges, disable firewall.

This happens even when no other sessions are running on the client machine.

Debug says : http://pastebin.com/837xZS97

I reported this on IRC they told me create ticket cause this can be a bug.



Best,
JK
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#808; Package x2goclient. (Mon, 16 Mar 2015 15:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 16 Mar 2015 15:25:01 GMT) Full text and rfc822 format available.

Message #10 received at 808@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Jozsef Kozo <kojraai@gmail.com>, 808@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#808: x2goclient freeze after several seconds
Date: Mon, 16 Mar 2015 16:22:34 +0100
[Message part 1 (text/plain, inline)]
On 09.03.2015 11:28 AM, Jozsef Kozo wrote:
> Package: x2goclient
> Version: 4.0.3.1 ( Qt- 4.8.6)
>
> Client OS: Windows 8.1 Enterprise x64
> Server OS: CentOS 6.5
>
> Hi all,
>
> I can connect from a client to my server.
> I am able to connect but several seconds ~30 my session freeze and
> x2go ask me for terminate my session.

What server version are you using? This highly sounds like a problem
4.0.1.19 fixed. (Handling failing xsession scripts gracefully.)

Can you test with 4.0.1.19, please?



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#808; Package x2goclient. (Tue, 17 Mar 2015 10:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jozsef Kozo <kojraai@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 17 Mar 2015 10:35:01 GMT) Full text and rfc822 format available.

Message #15 received at 808@bugs.x2go.org (full text, mbox):

From: Jozsef Kozo <kojraai@gmail.com>
To: 808@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#808: x2goclient freeze after several seconds
Date: Tue, 17 Mar 2015 11:32:15 +0100
[Message part 1 (text/plain, inline)]
Hi Mihai,

Is there any way to install x2goserver from yum on CentOS 6.5 with this
version : 4.0.1.19 ? I found several rpm but need a lot of dependencies for
install. Also tried from tarball but with no luck ( install ).

x2goserver:  4.0.1.18
x2goagent:   3.5.0.27
x2goserver-extensions: 4.0.1.16
x2goserver-xsessions:  4.0.1.16

Best,
JK


2015-03-16 16:22 GMT+01:00 Mihai Moldovan <ionic@ionic.de>:

> On 09.03.2015 11:28 AM, Jozsef Kozo wrote:
> > Package: x2goclient
> > Version: 4.0.3.1 ( Qt- 4.8.6)
> >
> > Client OS: Windows 8.1 Enterprise x64
> > Server OS: CentOS 6.5
> >
> > Hi all,
> >
> > I can connect from a client to my server.
> > I am able to connect but several seconds ~30 my session freeze and
> > x2go ask me for terminate my session.
>
> What server version are you using? This highly sounds like a problem
> 4.0.1.19 fixed. (Handling failing xsession scripts gracefully.)
>
> Can you test with 4.0.1.19, please?
>
>
>
> Mihai
>
>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#808; Package x2goclient. (Tue, 17 Mar 2015 13:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 17 Mar 2015 13:45:01 GMT) Full text and rfc822 format available.

Message #20 received at 808@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: Jozsef Kozo <kojraai@gmail.com>, 808@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#808: Bug#808: x2goclient freeze after several seconds
Date: Tue, 17 Mar 2015 07:36:11 -0600
On 03/17/2015 04:32 AM, Jozsef Kozo wrote:
> Hi Mihai,
>
> Is there any way to install x2goserver from yum on CentOS 6.5 with this
> version : 4.0.1.19 ? I found several rpm but need a lot of dependencies
> for install. Also tried from tarball but with no luck ( install ).

It's in EPEL testing:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0953/x2goserver-4.0.1.19-1.el6

yum --enablerepo=epel-testing upgrade

Please test and leave feedback.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion@cora.nwra.com
Boulder, CO 80301              http://www.cora.nwra.com


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#808; Package x2goclient. (Wed, 18 Mar 2015 08:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jozsef Kozo <kojraai@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 18 Mar 2015 08:05:02 GMT) Full text and rfc822 format available.

Message #25 received at 808@bugs.x2go.org (full text, mbox):

From: Jozsef Kozo <kojraai@gmail.com>
To: 808@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#808: x2goclient freeze after several seconds
Date: Wed, 18 Mar 2015 09:03:41 +0100
[Message part 1 (text/plain, inline)]
Hi Guys,


Looks like the new version of x2goserver solved the problem.
Awesome community/support .

Thank you all !

Best,
JK

2015-03-16 16:22 GMT+01:00 Mihai Moldovan <ionic@ionic.de>:

> On 09.03.2015 11:28 AM, Jozsef Kozo wrote:
> > Package: x2goclient
> > Version: 4.0.3.1 ( Qt- 4.8.6)
> >
> > Client OS: Windows 8.1 Enterprise x64
> > Server OS: CentOS 6.5
> >
> > Hi all,
> >
> > I can connect from a client to my server.
> > I am able to connect but several seconds ~30 my session freeze and
> > x2go ask me for terminate my session.
>
> What server version are you using? This highly sounds like a problem
> 4.0.1.19 fixed. (Handling failing xsession scripts gracefully.)
>
> Can you test with 4.0.1.19, please?
>
>
>
> Mihai
>
>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#808; Package x2goclient. (Wed, 18 Mar 2015 08:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 18 Mar 2015 08:15:02 GMT) Full text and rfc822 format available.

Message #30 received at 808@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Jozsef Kozo <kojraai@gmail.com>, 808@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#808: x2goclient freeze after several seconds
Date: Wed, 18 Mar 2015 09:13:42 +0100
[Message part 1 (text/plain, inline)]
Control: reassign -1 x2goserver-xsession 4.0.1.18
Control: close -1
Control: fixed -1 4.0.1.19
Control: forcemerge 632 808


On 18.03.2015 09:03 AM, Jozsef Kozo wrote:
> Looks like the new version of x2goserver solved the problem.
> Awesome community/support .
>
> Thank you all !

Great news! You're welcome. :)

Closing up.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'x2goclient' to 'x2goserver-xsession'. Request was from Mihai Moldovan <ionic@ionic.de> to 808-submit@bugs.x2go.org. (Wed, 18 Mar 2015 08:15:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.1.18. Request was from Mihai Moldovan <ionic@ionic.de> to 808-submit@bugs.x2go.org. (Wed, 18 Mar 2015 08:15:02 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mihai Moldovan <ionic@ionic.de> to 808-submit@bugs.x2go.org. (Wed, 18 Mar 2015 08:15:02 GMT) Full text and rfc822 format available.

Notification sent to Jozsef Kozo <kojraai@gmail.com>:
Bug acknowledged by developer. (Wed, 18 Mar 2015 08:15:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.19. Request was from Mihai Moldovan <ionic@ionic.de> to 808-submit@bugs.x2go.org. (Wed, 18 Mar 2015 08:15:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to 808-submit@bugs.x2go.org. (Wed, 18 Mar 2015 08:15:02 GMT) Full text and rfc822 format available.

Merged 632 788 808 Request was from Mihai Moldovan <ionic@ionic.de> to 808-submit@bugs.x2go.org. (Wed, 18 Mar 2015 08:15:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 19 Apr 2015 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu May 23 17:35:48 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.